package org.bitbucket.bradleysmithllc.etlagent.informatica.dto;

import com.google.gson.stream.JsonWriter;

import java.io.IOException;

public class CreateConnectionRequestDTO extends BaseRepositoryRequestDTO
{
	private final String relationalConnectionName;
	private final String databaseName;
	private final String serverName;
	private final String databaseUserName;
	private final String databasePassword;

	public CreateConnectionRequestDTO(String relationalConnectionName, String serverName, String databaseName, String databaseUserName, String databasePassword) {
		this.relationalConnectionName = relationalConnectionName;
		this.databaseName = databaseName;
		this.serverName = serverName;
		this.databaseUserName = databaseUserName;
		this.databasePassword = databasePassword;
	}

	public String getRelationalConnectionName() {
		return relationalConnectionName;
	}

	public String getDatabaseName() {
		return databaseName;
	}

	public String getServerName() {
		return serverName;
	}

	public String getDatabaseUserName() {
		return databaseUserName;
	}

	public String getDatabasePassword() {
		return databasePassword;
	}
}